const props = {}
props.name = 'Boolean Input'
props.default = [
  {
    name: 'name',
    type: 'string',
    description: 'Name attribute',
    value: 'hello'
  },
  {
    name: 'label',
    type: 'string',
    description: 'Label text (html allowed)',
    value: 'Hello, World!'
  },
  {
    name: 'value',
    type: 'boolean',
    description: 'Initial value',
    value: false
  },
  {
    name: 'on_dark',
    type: 'boolean',
    description: 'Set to true when using this component on a dark background',
    value: false
  },
  {
    name: 'onValueChange',
    type: 'function',
    description: 'Function called with the value when it',
    value: v => {}
  }
]

// TODO
// props.variants = [
//   {
//     name: 'Error',
//     props: [
//       { name: 'tag_color', value: 'error-red' },
//       { name: 'text', value: 'This is an error.' },
//       { name: 'text_color', value: 'dark' },
//       { name: 'tag', value: 'Error!' },
//       { name: 'url', value: 'https://hashicorp.com' }
//     ]
//   },
//   {
//     name: 'Warning',
//     props: [
//       { name: 'tag_color', value: 'warning-yellow' },
//       { name: 'text', value: 'This is an warning.' },
//       { name: 'text_color', value: 'dark' },
//       { name: 'tag', value: 'Warning!' },
//       { name: 'url', value: 'https://hashicorp.com' }
//     ]
//   }
// ]

export default props
